%global app_version 1.0-SNAPSHOT
%global def_version 1.1-SNAPSHOT
%global cla_version 1.1-SNAPSHOT
%global sty_version 1.2-SNAPSHOT

Name:           maven-skins
Version:        5
Release:        %mkrel 10
Summary:        Maven Skins
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/skins/
# svn export http://svn.apache.org/repos/asf/maven/skins/tags/maven-skins-5
# tar caf maven-skins-5-tar.xz maven-skins-5/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-site-plugin

%description
Skins for the maven site generator. 

%prep
%setup -q 

sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-application-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-default-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-classic-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-stylus-skin/pom.xml
rm -fr src/site/site.xml


%build
%mvn_build

%install
%mvn_install

%files -f .mfiles


%changelog
* Tue Dec 30 2014 daviddavid <daviddavid> 5-10.mga5
+ Revision: 807331
- Build with xmvn
- Replace maven BuildRequires with maven-local

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5-7.mga4
+ Revision: 507812
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5-6.mga3
+ Revision: 359785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 5-5.mga3
+ Revision: 263658
- Remove old macros

* Fri Dec 23 2011 gil <gil> 5-4.mga2
+ Revision: 186980
- rebuilt with maven 3.x support
  adapted spec file to the current guideline
- revuilt with maven 3.x support
  adapted spec file to the current guideline

  + dmorgan <dmorgan>
    - imported package maven-skins


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 5-2
- BR maven-site-plugin.

* Wed May 26 2010 Alexander Kurtakov <akurtako@redhat.com> 5-1
- Initial package.
